#ifndef GRID_HEALPIX_H
#define GRID_HEALPIX_H

#include <cinttypes>

enum class HpIndexing
  {
    Undef,
    XY,
    Ring,
    Nest
  };

HpIndexing hp_get_indexing(const char *indexingName);
void hp_generate_coords(HpIndexing indexing, int nside, int64_t nvals, double *xvals, double *yvals, bool withBounds, double *xbounds, double *ybounds);

#endif
